import React from 'react';
import Button from '@material-ui/core/Button';
import Menu from '@material-ui/core/Menu';
import ListItemIcon from '@material-ui/core/ListItemIcon';
import MenuItem from '@material-ui/core/MenuItem';
import MoreVertIcon from '@material-ui/icons/MoreVert';
import OpenIcon from '@material-ui/icons/OpenInNew';
import DownloadIcon from '@material-ui/icons/CloudDownload';
import ShareIcon from '@material-ui/icons/Share';
import AddIcon from '@material-ui/icons/CreateNewFolder';
import ReportIcon from '@material-ui/icons/Error';
export default function SimpleMenu() {
  const [anchorEl, setAnchorEl] = React.useState(null);

  function handleClick(event) {
    setAnchorEl(event.currentTarget);
  }

  function handleClose() {
    setAnchorEl(null);
  }

  return (
    <div style={{fontSize: "12px"}}>
      <Button aria-controls="simple-menu" aria-haspopup="true" onClick={handleClick}>
        OPÇÕES <MoreVertIcon/>
      </Button>
      <Menu
        id="simple-menu"
        anchorEl={anchorEl}
        keepMounted
        open={Boolean(anchorEl)}
        onClose={handleClose}
      >
        <MenuItem onClick={handleClose}>
          <ListItemIcon>
            <OpenIcon />
          </ListItemIcon>
        Abrir</MenuItem>
        <MenuItem onClick={handleClose}>
        <ListItemIcon>
          <DownloadIcon />
        </ListItemIcon>
        Baixar</MenuItem>
        <MenuItem onClick={handleClose}>
        <ListItemIcon>
          <ShareIcon />
        </ListItemIcon>
        Compartilhar</MenuItem>
        <MenuItem onClick={handleClose}>
        <ListItemIcon>
          <AddIcon />
        </ListItemIcon>
        Guardar</MenuItem>
        <MenuItem onClick={handleClose}>
        <ListItemIcon>
          <ReportIcon />
        </ListItemIcon>
        Reportar</MenuItem>
      </Menu>
    </div>
  );
}
