import React, {Component} from 'react';
import './CardsAnimation.css';
import {Container} from 'react-grid-system';
import Card from '@material-ui/core/Card';
import CardContent from '@material-ui/core/CardContent';
import CardActions from '@material-ui/core/CardActions';
import Typography from '@material-ui/core/Typography';
import IconButton from '@material-ui/core/IconButton';
import FolderIcon from '@material-ui/icons/Folder';
import FavoriteIcon from '@material-ui/icons/Favorite';
import StarRatings from 'react-star-ratings';
import algumaCoisa from "../img/laranja/LIVRO_DIGITAL.jpg";
var authorStyle={
  position: "absolute",
  display: "flex",
  backgroundColor: "white",
  opacity: "0.6",
  bottom:"0",
  width: "100%",
  paddingTop: "20px"
};
var pictureStyle={
  position: "absolute",
  display: "flex",
  backgroundColor: "white",
  borderRadius: "50%",
  bottom:"23%",
  left: "40%",
  height: "50px",
};

class CollectionCard extends Component {
  constructor(props) {
    super(props);
    this.state={
      thumbnail: algumaCoisa,
      userStyle: "animation",
    };
  }
  onHover(){
    this.setState({userStyle: "animationOn"});
  }
  onIddle(){
    this.setState({userStyle: "animation"})
  }
  render(){
   return (
     <Card onMouseOver={this.onHover.bind(this)} onMouseOut={this.onIddle.bind(this)} >
     <Container style={{padding:"0px", backgroundColor: "#673ab7"}}>
     <div style={authorStyle}>
      <Typography  variant="body2" color="textSecondary" component="p">{this.props.author}</Typography>
      <Typography variant="title" color="textSecondary" component="p" >{this.props.name}</Typography>
       </div>
     <div style={pictureStyle}> fotinha </div>
     <div className={this.state.userStyle}>{this.props.author}</div>
     <img src={this.state.thumbnail} alt="thumbnail do recurso"/>

     </Container>
       <CardContent style={{height: "60%", textAlign: "left", paddingBottom: "0px"}}>
       </CardContent>
       <Container style={{textAlign: "left"}}>
       <StarRatings
       rating={this.props.rating*100}
       starRatedColor="673ab7"
       starDimension="20px"
       starSpacing="2px"
       starHoverColor="red"
       />
       </Container>
       <CardActions style={{justifyContent: "space-between"}}>
         <FolderIcon style={{color:"#673ab7"}} />
         <IconButton  aria-label="Favoritar" size="small">
           <FavoriteIcon />
         </IconButton>
         </CardActions>

     </Card>
   );}
 }


export default CollectionCard;
