import React, {Component} from 'react';
import '../App.css';
import {Row, Col} from 'react-grid-system';
import Button from '@material-ui/core/Button';
import Select from './Select';
import TextField from '@material-ui/core/TextField';
import {IoIosSearch} from 'react-icons/io';
// const barStyle={
//   backgroundColor: "white",
//   border: "none"
// };
// const searchButton={
//   backgroundColor: "white",
//   border: "none",
//   borderRadius: "0"
// };

class SearchBar extends Component {
  constructor (props) {
    super(props)
    this.state = {
      content: '',
      filter: "Recursos",
      showMenu: false,
    }
    this.handleChange = this.handleChange.bind(this);
  }

  handleSearch (e) {
    alert("Busca: "+ this.state.content)
  }

  openMenu () {
    console.log(this.state.showMenu)
    if(this.setState === true)
      this.setState({
        showMenu: false
      })
    else {
      this.setState({
        showMenu: true
      })
    }
  }

  handleChange(event){
    this.setState({content: event.target.value});
  }

  render () {
    return (
       <form onSubmit={e => e.preventDefault()}>
       <Row>
          <Col sm={5} md={6}>
            <TextField
              type='text'
              placeholder='O que está buscando?'
              value={this.state.content}
              onChange={this.handleChange}
              />
          </Col>
          <Col sm={4} md={4}>
            <Select/>
          </Col>
          <Col sm={3} md={2}>
            <Button
              type='submit'
              size="medium"
              onClick={this.handleSearch.bind(this)}>
              <IoIosSearch  size="30px"/>
              </Button>
          </Col>
          </Row>
          </form>
    )
  }
}
export default SearchBar;
