import React from 'react';
import { withStyles } from '@material-ui/core/styles';
import MenuItem from '@material-ui/core/MenuItem';
import FormControl from '@material-ui/core/FormControl';
import Select from '@material-ui/core/Select';
import InputBase from '@material-ui/core/InputBase';

const BootstrapInput = withStyles(theme => ({
  input: {
    position: 'relative',
    fontSize: 16,
    width: '80px',
  },
}))(InputBase);

// const styles = theme => ({
//   root: {
//     display: 'flex',
//     flexWrap: 'wrap',
//   },
//   margin: {
//     margin: theme.spacing.unit,
//   },
//   bootstrapFormLabel: {
//     fontSize: 18,
//   },
// });

class CustomizedSelects extends React.Component {
  state = {
    filter: 1,
  };

  handleChange = event => {
    this.setState({ filter: event.target.value });
  };

  render() {
    // const { classes } = this.props;

    return (
        <FormControl>
          <Select
            value={this.state.filter}
            onChange={this.handleChange}
            input={<BootstrapInput name="filter"/>}
           >
            <MenuItem value={1}>Recursos</MenuItem>
            <MenuItem value={2}>Materiais</MenuItem>
            <MenuItem value={3}>Coleções</MenuItem>
          </Select>
        </FormControl>
    );
  }
}


export default (CustomizedSelects);
